Browse Source

RPM: update build scripts for pclinuxos

pull/14/head
François Andriot 1 month ago
parent
commit
ee614c136c

+ 0
- 2
redhat/Makefile.r14 View File

@@ -576,9 +576,7 @@ kooldock:	tdebase
576 576
 	$(call buildpkg,applications/kooldock)
577 577
 
578 578
 kopete-otr:	tdebase tdenetwork
579
-ifeq (,$(filter $(DIST),.pclos2018))
580 579
 	$(call buildpkg,applications/kopete-otr)
581
-endif
582 580
 
583 581
 kpicosim:	tdebase
584 582
 	$(call buildpkg,applications/kpicosim)

+ 159
- 0
redhat/docker/pclinuxos.pkg View File

@@ -0,0 +1,159 @@
1
+apt
2
+apt-common
3
+apt-sources-list
4
+bash
5
+bzip2
6
+chkconfig
7
+common-licenses
8
+coreutils
9
+cpio
10
+cracklib-dicts
11
+crypto-policies
12
+dash-static
13
+diffutils
14
+e2fsprogs
15
+fdupes
16
+file
17
+filesystem
18
+findutils
19
+fuse
20
+gawk
21
+gdk-pixbuf2.0
22
+glibc
23
+glibc-devel
24
+gnupg
25
+gnutls
26
+grep
27
+gzip
28
+icu56-data
29
+info-install
30
+kernel-userspace-headers
31
+krb5
32
+ldetect-lst
33
+less
34
+lib64acl1
35
+lib64apt-pkg0
36
+lib64attr1
37
+lib64audit1
38
+lib64audit-devel
39
+lib64blkid1
40
+lib64bsd0
41
+lib64bzip2_1
42
+lib64cap2
43
+lib64cdio12
44
+lib64crack2
45
+lib64curl4
46
+lib64db4.8
47
+lib64dbnss4.8
48
+lib64elfutils1
49
+lib64ext2fs2
50
+lib64fdisk1
51
+lib64ffi6
52
+lib64fuse2
53
+lib64gdbm3
54
+lib64gdk_pixbuf2.0_0
55
+lib64gio2.0_0
56
+lib64glib2.0_0
57
+lib64gmp10
58
+lib64gnutls30
59
+lib64icu56
60
+lib64idn2_0
61
+lib64intl8
62
+lib64iso9660_7
63
+lib64jasper1
64
+lib64jbig1
65
+lib64jpeg62
66
+lib64jpeg8
67
+lib64keyutils1
68
+lib64krb53
69
+lib64ldap2.4_2
70
+lib64libcap-ng0
71
+lib64lua5.1
72
+lib64lzma5
73
+lib64magic1
74
+lib64mount1
75
+lib64mpfr4
76
+lib64ncurses5
77
+lib64ncurses6
78
+lib64ncursesw6
79
+lib64nettle6
80
+lib64notify4
81
+lib64nspr4
82
+lib64nss3
83
+lib64openssl1.0.0
84
+lib64openssl1.1
85
+lib64opts25
86
+lib64pam0
87
+lib64pam-devel
88
+lib64pam_userpass1
89
+lib64pcre1
90
+lib64pcre2_0
91
+lib64pcre-compatible0
92
+lib64png16_16
93
+lib64png3
94
+lib64popt0
95
+lib64psl5
96
+lib64readline7
97
+lib64rpm1
98
+lib64rtmp1
99
+lib64sasl2
100
+lib64sigsegv2
101
+lib64smartcols1
102
+lib64sqlite3_0
103
+lib64ssh2_1
104
+lib64tasn1_6
105
+lib64tcb0
106
+lib64tiff3
107
+lib64tiff5
108
+lib64udev0
109
+lib64unistring2
110
+lib64usb1.0_0
111
+lib64usb-compat0.1_4
112
+lib64uuid1
113
+lib64verto1
114
+lib64x11_6
115
+lib64xau6
116
+lib64xdmcp6
117
+lib64xml2_2
118
+libgcc1
119
+libidn2-i18n
120
+libnotify
121
+libstdc++6
122
+libxcb
123
+makedev
124
+mktemp
125
+ncurses
126
+nss
127
+nss_tcb
128
+openldap
129
+openssl
130
+p11-kit
131
+pam
132
+pam_tcb
133
+perl
134
+perl-base
135
+perl-File-Sync
136
+perl-MDK-Common
137
+pkgconfig
138
+popt-data
139
+procps
140
+publicsuffix-list-dafsa
141
+rmt
142
+rootcerts
143
+rpm
144
+rpm-helper
145
+rpm-pclinuxos-setup
146
+rpm-rambo-setup
147
+run-parts
148
+sed
149
+setup
150
+shadow-utils
151
+tcb
152
+udev
153
+update-alternatives
154
+usbutils
155
+util-linux-ng
156
+uuidd
157
+which
158
+xz
159
+zlib1

+ 29
- 150
redhat/docker/pclinuxos.sh View File

@@ -1,170 +1,49 @@
1
-#!/bin/bash
1
+#!/bin/bash -ex
2 2
 
3 3
 NAME="pclinuxos"
4 4
 VERSION="$1" # E.g: '26'
5 5
 IMAGE="${NAME}:${VERSION}"
6 6
 INSTALLROOT="/dev/shm/${IMAGE}"
7 7
 
8
+grep -qw "${INSTALLROOT}/dev" /proc/mounts && sudo umount "${INSTALLROOT}/dev"
8 9
 sudo rm -rf "${INSTALLROOT}"
9 10
 sudo mkdir -p "${INSTALLROOT}"
10 11
 
12
+LANG=C
13
+
11 14
 MIRROR="http://distrib-coffee.ipsl.jussieu.fr/pub/linux/pclinuxos/pclinuxos/apt/pclinuxos/64bit"
12 15
 
13
-cd /dev/shm
14
-wget -c \
15
-  "${MIRROR}/RPMS.x86_64/bash-4.3-48.1pclos2017.x86_64.rpm" \
16
-  "${MIRROR}/RPMS.x86_64/glibc-2.20-10pclos2017.x86_64.rpm" \
17
-  "${MIRROR}/RPMS.x86_64/rpm-4.8.1-10pclos2016.x86_64.rpm" \
18
-  "${MIRROR}/RPMS.x86_64/lib64readline6-6.3-4pclos2016.x86_64.rpm" \
19
-  "${MIRROR}/RPMS.x86_64/lib64ncurses5-5.9-9pclos2015.x86_64.rpm" \
20
-  "${MIRROR}/RPMS.x86_64/rpm-helper-0.23.5-1pclos2015.noarch.rpm" \
21
-  "${MIRROR}/RPMS.x86_64/mktemp-1.7-2pclos2017.x86_64.rpm" \
22
-  "${MIRROR}/RPMS.x86_64/setup-2.7.17-1pclos2011.x86_64.rpm" \
23
-  "${MIRROR}/RPMS.x86_64/findutils-4.6.0-3pclos2016.x86_64.rpm" \
24
-  "${MIRROR}/RPMS.x86_64/run-parts-3.2.1-1pclos2011.x86_64.rpm" \
25
-  "${MIRROR}/RPMS.x86_64/shadow-utils-4.1.4.2-1pclos2011.x86_64.rpm" \
26
-  "${MIRROR}/RPMS.x86_64/coreutils-8.27-1pclos2017.x86_64.rpm" \
27
-  "${MIRROR}/RPMS.x86_64/chkconfig-1.3.37-4pclos2017.x86_64.rpm" \
28
-  "${MIRROR}/RPMS.x86_64/lib64ncursesw5-5.9-9pclos2015.x86_64.rpm" \
29
-  "${MIRROR}/RPMS.x86_64/gawk-4.1.2-1pclos2015.x86_64.rpm" \
30
-  "${MIRROR}/RPMS.x86_64/lib64rpm1-4.8.1-10pclos2016.x86_64.rpm" \
31
-  "${MIRROR}/RPMS.x86_64/cpio-2.11-3pclos2014.x86_64.rpm" \
32
-  "${MIRROR}/RPMS.x86_64/gawk-4.1.2-1pclos2015.x86_64.rpm" \
33
-  "${MIRROR}/RPMS.x86_64/grep-2.28-1pclos2017.x86_64.rpm" \
34
-  "${MIRROR}/RPMS.x86_64/rpm-rambo-setup-1.1-2pclos2017.noarch.rpm" \
35
-  "${MIRROR}/RPMS.x86_64/rpm-pclinuxos-setup-1.135-4pclos2017.x86_64.rpm" \
36
-  "${MIRROR}/RPMS.x86_64/lib64popt0-1.16-1pclos2011.x86_64.rpm" \
37
-  "${MIRROR}/RPMS.x86_64/lib64tcb0-1.0.3-2pclos2017.x86_64.rpm" \
38
-  "${MIRROR}/RPMS.x86_64/lib64pam_userpass1-1.0.2-2pclos2011.x86_64.rpm" \
39
-  "${MIRROR}/RPMS.x86_64/pam_tcb-1.0.3-2pclos2017.x86_64.rpm" \
40
-  "${MIRROR}/RPMS.x86_64/lib64lzma5-5.2.3-1pclos2017.x86_64.rpm" \
41
-  "${MIRROR}/RPMS.x86_64/bzip2-1.0.6-2pclos2016.x86_64.rpm" \
42
-  "${MIRROR}/RPMS.x86_64/lib64audit1-2.1.2-3pclos2017.x86_64.rpm" \
43
-  "${MIRROR}/RPMS.x86_64/update-alternatives-1.9.0-1pclos2011.noarch.rpm" \
44
-  "${MIRROR}/RPMS.x86_64/zlib1-1.2.10-1pclos2017.x86_64.rpm" \
45
-  "${MIRROR}/RPMS.x86_64/lib64bzip2_1-1.0.6-2pclos2016.x86_64.rpm" \
46
-  "${MIRROR}/RPMS.x86_64/util-linux-ng-2.30.1-3pclos2017.x86_64.rpm" \
47
-  "${MIRROR}/RPMS.x86_64/lib64acl1-2.2.51-1pclos2013.x86_64.rpm" \
48
-  "${MIRROR}/RPMS.x86_64/lib64attr1-2.4.46-1pclos2011.x86_64.rpm" \
49
-  "${MIRROR}/RPMS.x86_64/lib64cap2-2.25-1pclos2017.x86_64.rpm" \
50
-  "${MIRROR}/RPMS.x86_64/lib64gmp10-6.1.2-1pclos2017.x86_64.rpm" \
51
-  "${MIRROR}/RPMS.x86_64/info-install-5.0-2pclos2013.x86_64.rpm" \
52
-  "${MIRROR}/RPMS.x86_64/rmt-0.4b46-1pclos2017.x86_64.rpm" \
53
-  "${MIRROR}/RPMS.x86_64/lib64mpfr4-3.1.4-1pclos2016.x86_64.rpm" \
54
-  "${MIRROR}/RPMS.x86_64/lib64sigsegv2-2.10-2pclos2016.x86_64.rpm" \
55
-  "${MIRROR}/RPMS.x86_64/dash-static-0.5.6.1-3pclos2017.x86_64.rpm" \
56
-  "${MIRROR}/RPMS.x86_64/filesystem-2.1.9-1pclos2011.x86_64.rpm" \
57
-  "${MIRROR}/RPMS.x86_64/dash-static-0.5.6.1-3pclos2017.x86_64.rpm" \
58
-  "${MIRROR}/RPMS.x86_64/lib64pcre2_0-10.23-1pclos2017.x86_64.rpm" \
59
-  "${MIRROR}/RPMS.x86_64/lib64pcre1-8.36-1pclos2014.x86_64.rpm" \
60
-  "${MIRROR}/RPMS.x86_64/xz-5.2.3-1pclos2017.x86_64.rpm" \
61
-  "${MIRROR}/RPMS.x86_64/ncurses-5.9-9pclos2015.x86_64.rpm" \
62
-  "${MIRROR}/RPMS.x86_64/libgcc1-4.9.2-2pclos2015.x86_64.rpm" \
63
-  "${MIRROR}/RPMS.x86_64/libstdc++6-4.9.2-2pclos2015.x86_64.rpm" \
64
-  "${MIRROR}/RPMS.x86_64/lib64uuid1-2.30.1-3pclos2017.x86_64.rpm" \
65
-  "${MIRROR}/RPMS.x86_64/lib64udev0-168-6pclos2011.x86_64.rpm" \
66
-  "${MIRROR}/RPMS.x86_64/lib64smartcols1-2.30.1-3pclos2017.x86_64.rpm" \
67
-  "${MIRROR}/RPMS.x86_64/lib64mount1-2.30.1-3pclos2017.x86_64.rpm" \
68
-  "${MIRROR}/RPMS.x86_64/lib64fdisk1-2.30.1-3pclos2017.x86_64.rpm" \
69
-  "${MIRROR}/RPMS.x86_64/lib64libcap-ng0-0.7.7-1pclos2015.x86_64.rpm" \
70
-  "${MIRROR}/RPMS.x86_64/lib64blkid1-2.30.1-3pclos2017.x86_64.rpm" \
71
-  "${MIRROR}/RPMS.x86_64/udev-168-6pclos2011.x86_64.rpm" \
72
-  "${MIRROR}/RPMS.x86_64/lib64iso9660_7-0.93-3pclos2017.x86_64.rpm" \
73
-  "${MIRROR}/RPMS.x86_64/lib64blkid1-2.30.1-3pclos2017.x86_64.rpm" \
74
-  "${MIRROR}/RPMS.x86_64/diffutils-3.3-1pclos2013.x86_64.rpm" \
75
-  "${MIRROR}/RPMS.x86_64/lib64usb1.0_0-1.0.21-1pclos2017.x86_64.rpm" \
76
-  "${MIRROR}/RPMS.x86_64/openssl-1.0.2l-1pclos2017.x86_64.rpm" \
77
-  "${MIRROR}/RPMS.x86_64/lib64cdio12-0.93-3pclos2017.x86_64.rpm" \
78
-  "${MIRROR}/RPMS.x86_64/lib64pcre-compatible0-8.21-1pclos2013.x86_64.rpm" \
79
-  "${MIRROR}/RPMS.x86_64/popt-data-1.16-1pclos2011.x86_64.rpm" \
80
-  "${MIRROR}/RPMS.x86_64/lib64db4.8-4.8.30-1pclos2011.x86_64.rpm" \
81
-  "${MIRROR}/RPMS.x86_64/lib64elfutils1-0.166-1pclos2016.x86_64.rpm" \
82
-  "${MIRROR}/RPMS.x86_64/lib64lua5.1-5.1.5-1pclos2012.x86_64.rpm" \
83
-  "${MIRROR}/RPMS.x86_64/lib64magic1-5.31-2pclos2017.x86_64.rpm" \
84
-  "${MIRROR}/RPMS.x86_64/lib64nspr4-4.14-1pclos2017.x86_64.rpm" \
85
-  "${MIRROR}/RPMS.x86_64/lib64nss3-3.28.4-2pclos2017.x86_64.rpm" \
86
-  "${MIRROR}/RPMS.x86_64/lib64sqlite3_0-3.1070-1pclos2017.x86_64.rpm" \
87
-  "${MIRROR}/RPMS.x86_64/rootcerts-20170401.00-1pclos2017.x86_64.rpm" \
88
-  "${MIRROR}/RPMS.x86_64/ldetect-lst-0.2.8-1pclos2017.x86_64.rpm" \
89
-  "${MIRROR}/RPMS.x86_64/nss-3.28.4-2pclos2017.x86_64.rpm" \
90
-  "${MIRROR}/RPMS.x86_64/perl-base-5.22.3-1pclos2017.x86_64.rpm" \
91
-  "${MIRROR}/RPMS.x86_64/gzip-1.8-1pclos2016.x86_64.rpm" \
92
-  "${MIRROR}/RPMS.x86_64/usbutils-007-1pclos2014.x86_64.rpm" \
93
-  "${MIRROR}/RPMS.x86_64/lib64notify4-0.7.7-1pclos2017.x86_64.rpm" \
94
-  "${MIRROR}/RPMS.x86_64/less-487-1pclos2017.x86_64.rpm" \
95
-  "${MIRROR}/RPMS.x86_64/lib64glib2.0_0-2.52.3-1pclos2017.x86_64.rpm" \
96
-  "${MIRROR}/RPMS.x86_64/lib64gio2.0_0-2.52.3-1pclos2017.x86_64.rpm" \
97
-  "${MIRROR}/RPMS.x86_64/gdk-pixbuf2.0-2.36.7-1pclos2017.x86_64.rpm" \
98
-  "${MIRROR}/RPMS.x86_64/tcb-1.0.3-2pclos2017.x86_64.rpm" \
99
-  "${MIRROR}/RPMS.x86_64/pkgconfig-0.29-1pclos2015.x86_64.rpm" \
100
-  "${MIRROR}/RPMS.x86_64/lib64openssl1.0.0-1.0.2l-1pclos2017.x86_64.rpm" \
101
-  "${MIRROR}/RPMS.x86_64/common-licenses-1.0-14pclos2017.noarch.rpm" \
102
-  "${MIRROR}/RPMS.x86_64/lib64gdk_pixbuf2.0_0-2.36.7-1pclos2017.x86_64.rpm" \
103
-  "${MIRROR}/RPMS.x86_64/lib64notify4-0.7.7-1pclos2017.x86_64.rpm" \
104
-  "${MIRROR}/RPMS.x86_64/file-5.31-2pclos2017.x86_64.rpm" \
105
-  "${MIRROR}/RPMS.x86_64/lib64ffi6-3.2.1-1pclos2016.x86_64.rpm" \
106
-  "${MIRROR}/RPMS.x86_64/perl-5.22.3-1pclos2017.x86_64.rpm" \
107
-  "${MIRROR}/RPMS.x86_64/lib64tiff3-3.9.5-2pclos2012.x86_64.rpm" \
108
-  "${MIRROR}/RPMS.x86_64/libnotify-0.7.7-1pclos2017.x86_64.rpm" \
109
-  "${MIRROR}/RPMS.x86_64/lib64x11_6-1.6.5-2.1pclos2017.x86_64.rpm" \
110
-  "${MIRROR}/RPMS.x86_64/lib64jasper1-1.900.1-3pclos2014.x86_64.rpm" \
111
-  "${MIRROR}/RPMS.x86_64/lib64jpeg8-1.4.2-1pclos2016.x86_64.rpm" \
112
-  "${MIRROR}/RPMS.x86_64/lib64png3-1.2.57-1pclos2017.x86_64.rpm" \
113
-  "${MIRROR}/RPMS.x86_64/libxcb-1.12-3.1pclos2017.x86_64.rpm" \
114
-  "${MIRROR}/RPMS.x86_64/lib64gdbm3-1.8.3-5pclos2013.x86_64.rpm" \
115
-  "${MIRROR}/RPMS.x86_64/nss_tcb-1.0.3-2pclos2017.x86_64.rpm" \
116
-  "${MIRROR}/RPMS.x86_64/lib64usb-compat0.1_4-0.1.5-2pclos2017.x86_64.rpm" \
117
-  "${MIRROR}/RPMS.x86_64/lib64tiff5-4.0.6-1pclos2016.x86_64.rpm" \
118
-  "${MIRROR}/RPMS.x86_64/lib64openssl-engines1.0.0-1.0.2l-1pclos2017.x86_64.rpm" \
119
-  "${MIRROR}/RPMS.x86_64/lib64xau6-1.0.8-3.1pclos2017.x86_64.rpm" \
120
-  "${MIRROR}/RPMS.x86_64/lib64xdmcp6-1.1.2-3.1pclos2017.x86_64.rpm" \
121
-  "${MIRROR}/RPMS.x86_64/lib64jbig1-2.0-1pclos2011.x86_64.rpm" \
122
-  "${MIRROR}/RPMS.x86_64/lib64bsd0-0.8.3-1pclos2016.x86_64.rpm" \
123
-  "${MIRROR}/RPMS.x86_64/lib64icu56-56.1-1pclos2016.x86_64.rpm" \
124
-  "${MIRROR}/RPMS.x86_64/icu56-data-56.1-1pclos2016.noarch.rpm" \
125
-  "${MIRROR}/RPMS.x86_64/lib64jpeg62-6b-48pclos2016.x86_64.rpm" \
126
-  "${MIRROR}/RPMS.x86_64/cracklib-dicts-2.9.1-1pclos2014.x86_64.rpm" \
127
-  "${MIRROR}/RPMS.x86_64/lib64crack2-2.9.1-1pclos2014.x86_64.rpm" \
128
-  "${MIRROR}/RPMS.x86_64/lib64dbnss4.8-4.8.30-1pclos2011.x86_64.rpm" \
129
-  "${MIRROR}/RPMS.x86_64/apt-0.5.15lorg3.95-10pclos2016.x86_64.rpm" \
130
-  "${MIRROR}/RPMS.x86_64/gnupg-1.4.22-1pclos2017.x86_64.rpm" \
131
-  "${MIRROR}/RPMS.x86_64/lib64apt-pkg0-0.5.15lorg3.95-10pclos2016.x86_64.rpm" \
132
-  "${MIRROR}/RPMS.x86_64/apt-sources-list-1.2-7pclos2017.x86_64.rpm" \
133
-  "${MIRROR}/RPMS.x86_64/lib64curl4-7.54.0-2pclos2017.x86_64.rpm" \
134
-  "${MIRROR}/RPMS.x86_64/lib64ldap2.4_2-2.4.23-3pclos2015.x86_64.rpm" \
135
-  "${MIRROR}/RPMS.x86_64/apt-common-0.5.15lorg3.95-10pclos2016.x86_64.rpm" \
136
-  "${MIRROR}/RPMS.x86_64/lib64xml2_2-2.9.4-2pclos2017.x86_64.rpm" \
137
-  "${MIRROR}/RPMS.x86_64/lib64rtmp1-2.4-1pclos2016.x86_64.rpm" \
138
-  "${MIRROR}/RPMS.x86_64/lib64ssh2_1-1.6.0-1pclos2016.x86_64.rpm" \
139
-  "${MIRROR}/RPMS.x86_64/openldap-2.4.23-3pclos2015.x86_64.rpm" \
140
-  "${MIRROR}/RPMS.x86_64/lib64sasl2-2.1.23-3pclos2013.x86_64.rpm" \
141
-  "${MIRROR}/RPMS.x86_64/lib64krb53-1.15.1-2pclos2017.x86_64.rpm" \
142
-  "${MIRROR}/RPMS.x86_64/krb5-1.15.1-2pclos2017.x86_64.rpm" \
143
-  "${MIRROR}/RPMS.x86_64/lib64keyutils1-1.2-6pclos2017.x86_64.rpm" \
144
-  "${MIRROR}/RPMS.x86_64/lib64verto1-0.2.6-1pclos2017.x86_64.rpm" \
145
-  "${MIRROR}/RPMS.x86_64/lib64ext2fs2-1.43.1-2pclos2016.x86_64.rpm" \
146
-  "${MIRROR}/RPMS.x86_64/e2fsprogs-1.43.1-2pclos2016.x86_64.rpm" \
147
-  "${MIRROR}/RPMS.x86_64/uuidd-2.30.1-3pclos2017.x86_64.rpm" \
148
-  "${MIRROR}/RPMS.x86_64/lib64audit-devel-2.1.2-3pclos2017.x86_64.rpm" \
149
-  "${MIRROR}/RPMS.x86_64/glibc-devel-2.20-10pclos2017.x86_64.rpm" \
150
-  "${MIRROR}/RPMS.x86_64/glibc-headers-devel-4.9.4-1pclos2017.x86_64.rpm" \
151
-  "${MIRROR}/RPMS.x86_64/rpm-pclinuxos-setup-1.135-5pclos2017.x86_64.rpm" \
152
-  "http://ftp.nluug.nl/pub/os/Linux/distr/pclinuxos/pclinuxos/apt/pclinuxos/64bit/RPMS.x86_64/lib64pam0-1.1.4-1pclos2011.x86_64.rpm" \
153
-  "http://ftp.nluug.nl/pub/os/Linux/distr/pclinuxos/pclinuxos/apt/pclinuxos/64bit/RPMS.x86_64/pam-1.1.4-1pclos2011.x86_64.rpm" \
154
-  "http://ftp.nluug.nl/pub/os/Linux/distr/pclinuxos/pclinuxos/apt/pclinuxos/64bit/RPMS.x86_64/lib64pam-devel-1.1.4-1pclos2011.x86_64.rpm" \
155
-  "http://distrib-coffee.ipsl.jussieu.fr/pub/linux/Mageia/distrib/6/x86_64/media/core/release//fdupes-1.51-6.mga6.x86_64.rpm" \
16
+curl "${MIRROR}/RPMS.x86_64/" | sed -n "/a href/ s|.*href=\"\(.*\)\.rpm\".*|\1.rpm|p" >"/dev/shm/pkg.list"
17
+
18
+mkdir -p "/dev/shm/packages"
19
+while read pkg; do
20
+  file="$(grep "^$pkg-[0-9]" /dev/shm/pkg.list)"
21
+  [ -z "${file}" ] && exit 1
22
+  wget -nv -c "${MIRROR}/RPMS.x86_64/${file}" -O "/dev/shm/packages/${file}" || exit 2
23
+done < "pclinuxos.pkg"
24
+
25
+sudo mkdir -p "${INSTALLROOT}/dev"
26
+sudo mount --bind "/dev" "${INSTALLROOT}/dev"
156 27
 
157 28
 sudo mkdir -p "${INSTALLROOT}/var/lib/rpm"
158 29
 sudo rpmdb --initdb --root="${INSTALLROOT}"
159 30
 
160
-sudo rpm -Uvh \
161
-  --root="${INSTALLROOT}" \
162
-  *.rpm
31
+sudo rpm -Uvh --noscripts --root="${INSTALLROOT}" "/dev/shm/packages/"*".rpm"
32
+
33
+# Fix lzma library location
34
+sudo mv "${INSTALLROOT}/lib/liblzma."* "${INSTALLROOT}/lib64"
35
+
36
+# Réinstall distro from inside chroot
37
+sudo mount --bind "/dev/shm" "${INSTALLROOT}/dev/shm"
38
+sudo rm -rf "${INSTALLROOT}/var/lib/rpm"
39
+sudo chroot "${INSTALLROOT}" rpmdb --initdb
40
+sudo chroot "${INSTALLROOT}" rpm -Uvh "/dev/shm/packages/"*".rpm"
163 41
 
164
-cd -
42
+sudo chroot "${INSTALLROOT}" apt-get -y update
43
+sudo chroot "${INSTALLROOT}" apt-get -y upgrade
165 44
 
166
-sudo chroot "${INSTALLROOT}" rpmdb --rebuilddb
167
-sudo chroot "${INSTALLROOT}" rpmdb --rebuilddb
45
+sudo umount "${INSTALLROOT}/dev/shm"
46
+sudo umount "${INSTALLROOT}/dev"
168 47
 
169 48
 sudo tar -C "${INSTALLROOT}" -c . >"${IMAGE}.tar"
170 49
 sudo rm -rf "${INSTALLROOT}"

+ 2
- 2
redhat/docker/pclinuxos/Dockerfile.x86_64 View File

@@ -1,6 +1,6 @@
1
-FROM pclinuxos:2017
1
+FROM pclinuxos:2018
2 2
 
3
-ARG TDE_VERSION=14.0.5
3
+ARG TDE_VERSION=14.0.6
4 4
 ARG ARCH=x86_64
5 5
 
6 6
 # Update distribution

+ 1
- 1
redhat/docker/pclinuxos/packages.x86_64 View File

@@ -49,6 +49,7 @@ lib64cryptsetup-devel
49 49
 lib64dvdread-devel
50 50
 lib64exiv2-devel
51 51
 lib64gif-devel
52
+lib64gpod4
52 53
 lib64idn-devel
53 54
 lib64inotifytools-devel
54 55
 lib64iw29-devel
@@ -74,7 +75,6 @@ libflac-devel
74 75
 libflac++-devel
75 76
 libfontenc-devel
76 77
 libgadu-devel
77
-libgpod-devel
78 78
 libgstreamer0.10-devel
79 79
 libical-devel
80 80
 libice-devel

+ 1
- 1
redhat/main/tdebase/tdebase.spec View File

@@ -3453,7 +3453,7 @@ EXEC=%{tde_bindir}/%{tdm}
3453 3453
 FNDSESSION_EXEC="/usr/sbin/chksession -k"
3454 3454
 %else
3455 3455
 %if 0%{?mgaversion} >= 6
3456
-FNDSESSION_EXEC="/usr/sbin/chksession"
3456
+FNDSESSION_EXEC="/usr/sbin/chksession -l"
3457 3457
 %else
3458 3458
 FNDSESSION_EXEC="/usr/sbin/chksession --generate=/usr/share/xsessions"
3459 3459
 %endif

Loading…
Cancel
Save